[API Reference](../README.md) > [ConfigService](../classes/ConfigService.md)



# Class: ConfigService


get and set global Arc.js settings

## Index

### Constructors

* [constructor](ConfigService.md#constructor)


### Properties

* [data](ConfigService.md#data)
* [instance](ConfigService.md#instance)


### Methods

* [get](ConfigService.md#get)
* [set](ConfigService.md#set)



---
## Constructors
<a id="constructor"></a>


### ⊕ **new ConfigService**(): [ConfigService](ConfigService.md)


*Defined in [configService.ts:14](https://github.com/daostack/arc.js/blob/77005d4/lib/configService.ts#L14)*





**Returns:** [ConfigService](ConfigService.md)

---


## Properties
<a id="data"></a>

### «Static» data

**●  data**:  *`any`* 

*Defined in [configService.ts:6](https://github.com/daostack/arc.js/blob/77005d4/lib/configService.ts#L6)*





___

<a id="instance"></a>

### «Static» instance

**●  instance**:  *[ConfigService](ConfigService.md)* 

*Defined in [configService.ts:5](https://github.com/daostack/arc.js/blob/77005d4/lib/configService.ts#L5)*





___


## Methods
<a id="get"></a>

### «Static» get

► **get**(setting: *`string`*): `any`



*Defined in [configService.ts:8](https://github.com/daostack/arc.js/blob/77005d4/lib/configService.ts#L8)*



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| setting | `string`   |  - |





**Returns:** `any`





___

<a id="set"></a>

### «Static» set

► **set**(setting: *`string`*, value: *`any`*): `void`



*Defined in [configService.ts:12](https://github.com/daostack/arc.js/blob/77005d4/lib/configService.ts#L12)*



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| setting | `string`   |  - |
| value | `any`   |  - |





**Returns:** `void`





___


